Update an existing skill
curl --request PATCH \
--url https://api.letraz.app/api/v1/resume/{resume_id}/skill/{id}/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.letraz.app/api/v1/resume/{resume_id}/skill/{id}/"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.letraz.app/api/v1/resume/{resume_id}/skill/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"skill": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"name": "<string>",
"alias": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"preferred": true
}
],
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"preferred": true
},
"resume_section": "<string>",
"level": "BEG"
}{
"error": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"message": "<string>",
"details": "<string>",
"extra": "<string>"
}
}{
"error": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"message": "<string>",
"details": "<string>",
"extra": "<string>"
}
}Skill object
Update an existing skill
Update an existing Skill-proficiency to the user’s resume as specified in the resume id. If a base resume id is provided, the Skill is updated for the base resume.
PATCH
/
resume
/
{resume_id}
/
skill
/
{id}
/
Update an existing skill
Authorizations
basicAuthcookieAuthcookieAuth
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
ID of the Skill-proficiency you want to update for the resume
Resume ID of the resume the education belongs to. If you want to interact with the base Skill, just put base in here
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I